Zoey REST API reference ยท Interactive version: apidocs.zoey.com
GET https://container-url.zoeysite.com/api/rest/companyAccounts/account/:account_id/specificPrices/:product_id
Example response (Get), HTTP 200:
{
"id": "6",
"company_id": "53",
"product_id": "69441",
"price": "20.0000"
}
GET https://container-url.zoeysite.com/api/rest/companyAccounts/account/:account_id/specificPrices
Example response (Get All), HTTP 200:
[
{
"id": "6",
"company_id": "53",
"product_id": "69441",
"price": "20.0000"
}
]
POST https://container-url.zoeysite.com/api/rest/companyAccounts/account/:account_id/specificPrices
Example request body:
{
"product_id": 69441,
"price": 10
}
Example response (Create), HTTP 200:
""
PUT https://container-url.zoeysite.com/api/rest/companyAccounts/account/:account_id/specificPrices/:product_id
Example request body:
{
"price": 20
}
DELETE https://container-url.zoeysite.com/api/rest/companyAccounts/account/:account_id/specificPrices/:product_id